<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ JBoss, Home of Professional Open Source.
  ~ Copyright 2022, Red Hat, Inc., and individual contributors
  ~ as indicated by the @author tags. See the copyright.txt file in the
  ~ distribution for a full listing of individual contributors.
  ~
  ~ This is free software; you can redistribute it and/or modify it
  ~ under the terms of the GNU Lesser General Public License as
  ~ published by the Free Software Foundation; either version 2.1 of
  ~ the License, or (at your option) any later version.
  ~
  ~ This software is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  ~ Lesser General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Lesser General Public
  ~ License along with this software; if not, write to the Free
  ~ Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  ~ 02110-1301 USA, or see the FSF site: http://www.fsf.org.
  -->
<module name="org.jboss.prospero" xmlns="urn:jboss:module:1.6">
  <properties>
    <property name="jboss.api" value="private"/>
  </properties>

  <main-class name="org.wildfly.prospero.cli.CliMain"/>
  <resources>
    <resource-root path="channel-core-1.0.3.Final.jar"/>
    <resource-root path="maven-resolver-1.0.3.Final.jar"/>
    <resource-root path="plexus-interpolation-1.26.jar"/>
    <resource-root path="plexus-utils-3.5.0.jar"/>
    <resource-root path="prospero-common-1.1.3.Final.jar"/>
    <resource-root path="prospero-metadata-1.1.3.Final.jar"/>
    <resource-root path="prospero-cli-1.1.3.Final.jar"/>
    <resource-root path="galleon-core-5.1.1.Final.jar"/>
    <resource-root path="galleon-maven-universe-5.1.1.Final.jar"/>
    <resource-root path="picocli-4.7.4.jar"/>
    <resource-root path="jackson-dataformat-yaml-2.14.2.jar"/>
    <resource-root path="json-schema-validator-1.0.82.jar"/>
    <resource-root path="commons-text-1.10.0.jar"/>
    <resource-root path="maven-artifact-3.6.3.jar"/>
    <resource-root path="maven-builder-support-3.6.3.jar"/>
    <resource-root path="maven-model-3.6.3.jar"/>
    <resource-root path="maven-model-builder-3.6.3.jar"/>
    <resource-root path="maven-repository-metadata-3.6.3.jar"/>
    <resource-root path="maven-resolver-api-1.9.10.jar"/>
    <resource-root path="maven-resolver-connector-basic-1.9.10.jar"/>
    <resource-root path="maven-resolver-impl-1.9.10.jar"/>
    <resource-root path="maven-resolver-named-locks-1.9.10.jar"/>
    <resource-root path="maven-resolver-provider-3.6.3.jar"/>
    <resource-root path="maven-resolver-spi-1.9.10.jar"/>
    <resource-root path="maven-resolver-transport-file-1.9.10.jar"/>
    <resource-root path="maven-resolver-transport-http-1.9.10.jar"/>
    <resource-root path="maven-resolver-util-1.9.10.jar"/>
  </resources>

  <dependencies>
    <module name="org.jboss.prospero-dep" export="true" services="import"/>
  </dependencies>
</module>
